### Hierarchy

- AssistantNodeRepository

### Implements

- PermissionsSource
- NonceSource
- SiteDataSource

## Index

### Constructors

- constructor

### Methods

- getGrandAccessRecords
- getNonce
- getSiteData

## Constructors

### constructor

- new AssistantNodeRepository(accountRepository: AccountRepository, dataRequestRepository: DataRequestRepository, siteRepository: SiteRepository): AssistantNodeRepository

- - Defined in repository/assistant/AssistantNodeRepository.ts:16

  #### Parameters

  - ##### accountRepository: AccountRepository

  - ##### dataRequestRepository: DataRequestRepository

  - ##### siteRepository: SiteRepository

  #### Returns AssistantNodeRepository

## Methods

### getGrandAccessRecords

- getGrandAccessRecords(publicKeyFrom: string, publicKeyTo: string): Promise<Array<DataRequest>>

- Implementation of PermissionsSource.getGrandAccessRecords

  - Defined in repository/assistant/AssistantNodeRepository.ts:29

  #### Parameters

  - ##### publicKeyFrom: string

  - ##### publicKeyTo: string

  #### Returns Promise<Array<DataRequest>>

### getNonce

- getNonce(publicKey: string): Promise<number>

- Implementation of NonceSource.getNonce

  - Defined in repository/assistant/AssistantNodeRepository.ts:33

  #### Parameters

  - ##### publicKey: string

  #### Returns Promise<number>

### getSiteData

- getSiteData(origin: string): Promise<Site>

- Implementation of SiteDataSource.getSiteData

  - Defined in repository/assistant/AssistantNodeRepository.ts:37

  #### Parameters

  - ##### origin: string

  #### Returns Promise<Site>

Generated using TypeDoc